---
title: "AutoTempest API: Search | Perceptlayer"
description: "Search from AutoTempest as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/autotempest/search
---

[APIs](https://perceptlayer.com/apis) / [AutoTempest](https://perceptlayer.com/apis/autotempest) / Search

# AutoTempest: Search

Search from AutoTempest as JSON. 1 credit per successful call.

GET `/v1/autotempest/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `make` | string | Required | Any |
| `model` | string | Optional | Any |
| `zip` | string | Required | Any |
| `radius` | string | Optional | 25, 50, 100, 200, 300, 500, 1000, any |
| `sources[]` | list of string | Optional | te, hem, cs, cv, cm, eb, ot |
| `sort` | string | Optional | best\_match, date\_desc, date\_asc, dist\_asc, year\_asc, year\_desc, price\_asc, price\_desc, miles\_asc, miles\_desc |
| `per_page` | integer | Optional | Any |
| `min_price` | integer | Optional | Any |
| `max_price` | integer | Optional | Any |
| `min_year` | integer | Optional | Any |
| `max_year` | integer | Optional | Any |
| `min_miles` | integer | Optional | Any |
| `max_miles` | integer | Optional | Any |
| `drive` | string | Optional | 4wd, awd, fwd, rwd |
| `fuel` | string | Optional | diesel, electric, flex, gas, hybrid, hydrogen, ngv |
| `body_style` | string | Optional | convertible, coupe, hatchback, minivan, sedan, suv, truck, van, wagon |
| `cursor` | string | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/autotempest/search?make=toyota&model=camry&zip=90210&radius=50&sources[]=cm&per_page=10" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/autotempest?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
